local Aloft = Aloft
if not Aloft or not Aloft:GetModule("RaceData", true) then return end
if not AloftLocale or not AloftLocale.AloftRaceDataOptions then return end

-----------------------------------------------------------------------------

local AloftRaceData = Aloft:GetModule("RaceData")

local L = AloftLocale.AloftRaceDataOptions

-----------------------------------------------------------------------------

Aloft.Options.args.data.args.race =
{
	type = 'toggle',
	width = 'full',
	name = L["Save Race Data"],
	desc = L["Stores race information between sessions"],
	disabled = function(i) return not Aloft:IsEnabled() or not AloftRaceData:IsEnabled() or not AloftRaceData.db or not AloftRaceData.db.profile end,
	get = function(i) return AloftRaceData.db.profile.save end,
	set = AloftRaceData.SetSaveData
}

-----------------------------------------------------------------------------
